// this sets the background color of the master UIView (when there are no windows/tab groups on it)
Titanium.UI.setBackgroundColor('#000');

var DIR_IMAGE = "/assets/android/";

var App = {
	UI: {}
};

Ti.include("/ui_userLicenseAgreement.js");

if(Ti.Platform.displayCaps.platformWidth >= Ti.Platform.displayCaps.platformHeight) {
	var PLATFORM_HEIGHT = Ti.Platform.displayCaps.platformWidth;
	var PLATFORM_WIDTH = Ti.Platform.displayCaps.platformHeight;
} else {
	var PLATFORM_WIDTH = Ti.Platform.displayCaps.platformWidth;
	var PLATFORM_HEIGHT = Ti.Platform.displayCaps.platformHeight;
}

// create tab group
var tabGroup = Titanium.UI.createTabGroup();


//
// create base UI tab and root window
//
var win1 = Titanium.UI.createWindow({  
    title:'Open URL',
    backgroundColor:'#000'
});
var tab1 = Titanium.UI.createTab({  
    icon:'KS_nav_views.png',
    title:'Open URL',
    window:win1
});
var view = Ti.UI.createView({		
	width : PLATFORM_WIDTH,
	top : 40,
	left : 0,
	bottom: 0,
	layout : 'absolute' 
});
var newUserBtn = Titanium.UI.createButton({
	color : '#FFF',
	backgroundImage : '/underline.png',
	width : 'auto',
	height : '25',
	borderRadius : 1,
	font : {
		fontFamily : 'Arial',
		fontSize : '13',
	},
	enabled: false,
	top : 125
});
var cantAccessBtn = Titanium.UI.createButton({
	color : '#FFF',
	backgroundImage : '/underline.png',
	width : 'auto',
	height : '25',
	borderRadius : 1,
	font : {
		fontFamily : 'Arial',
		fontSize : '13',
	},
	enabled: false,
	top : 157
});
var linkViewBG1 = Ti.UI.createButton({	backgroundSelectedImage : DIR_IMAGE + 'background-link-button-selected.png',
	backgroundImage : DIR_IMAGE + 'background-link-button.png',
	backgroundLeftCap : 5,
	backgroundTopCap : 5,
	width : 220,
	height : 30,
	borderRadius : 5,
	backgroundColor : 'transparent',
	top : 125
});
var linkViewBG2 = Ti.UI.createButton({	
	backgroundSelectedImage : DIR_IMAGE + 'background-link-button-selected.png',
	backgroundImage : DIR_IMAGE + 'background-link-button.png',
	backgroundLeftCap : 5,
	backgroundTopCap : 5,
	width : 220,
	height : 30,
	borderRadius : 5,
	backgroundColor : 'transparent',
	top : 157
});

newUserBtn.title = "New User?";
cantAccessBtn.title = "Can't Access Account?"

view.add(newUserBtn);
view.add(cantAccessBtn);
view.add(linkViewBG1);
view.add(linkViewBG2);
win1.add(view);
						
linkViewBG1.addEventListener("click", function(e) {
	Ti.Platform.openURL("http://www.espn.com");
});
linkViewBG2.addEventListener("click", function(e) {
	Ti.Platform.openURL("http://www.google.com");
});

//
// create controls tab and root window
//
var win2 = Titanium.UI.createWindow({  
    title:'Open Web View URL',
    backgroundColor:'#000'
});
var tab2 = Titanium.UI.createTab({  
    icon:'KS_nav_ui.png',
    title:'Open Web View URL',
    window:win2
});

var webView = Ti.UI.createWebView({
		url : '/PrivacyStatement.html', 
		width: PLATFORM_WIDTH,
		height:Ti.UI.FILL
	}); 

Ti.App.removeEventListener('web_link', App.UI.UserLicenseAgreement.webLink);
Ti.App.addEventListener('web_link', App.UI.UserLicenseAgreement.webLink);
		
win2.add(webView);

/*
function webLink(e){
	Ti.API.info("************************************************");
	Ti.API.info("Trying to invoke web link");
	Ti.API.info("************************************************");

	var urlAddress = e.u;
	if (e.u.search(/http/ig) >= 0) { //clicked on a url
		if (e.u.search(/optout/ig) >= 0) { //opt out dialog window
		    var lockoutDialog = Ti.UI.createAlertDialog({
		        buttons: ["Cancel", "OK"],
		       cancel: 0,
		    	buttonNames: ['Cancel', 'OK'],
		    	message: 'Tap OK to confirm your Opting Out of EMC Support Analytics',
		   		title: 'Alert'
			});
			lockoutDialog.addEventListener("click", function(e){
				switch (e.index) {
					case 0:
						//set 'opt out analytics'' variable to false here 
						return;
					case 1:
						//set 'opt out analytics' variable to true here 
						return;
					}
			});
			lockoutDialog.show();
		}
		else { //url link
			var dialog = Ti.UI.createOptionDialog({
				title: urlAddress,
				options: [ "Open", "Copy", "Cancel" ],
				cancel: 2
			});
			dialog.addEventListener('click', function(e){
				switch (e.index) {
					case 0:
						//Ti.API.info("URL Link is " + urlAddress);
						Ti.Platform.openURL(urlAddress);
						break;
					case 1:
						//Ti.API.info("Copy Text is " + urlAddress);
						Ti.UI.Clipboard.setText(urlAddress);
						break;
					case 2:
						break;
				}
			});
			dialog.show();
		}
	}
	else if (e.u.search(/mailto/ig) >= 0) { //clicked on email address
		var iPos = urlAddress.indexOf(':');
		var toRecipient = "";
		if (iPos > 0) {
		   	toRecipient = urlAddress.substr(iPos + 1);
		}
		var dialog = Ti.UI.createOptionDialog({
			options: [ "New Message", "Add to Contacts", "Copy", "Cancel" ],
			cancel: 3
		});
		dialog.addEventListener('click', function(e){
			switch (e.index) {
				case 0:
					var dEmailMessage = Titanium.UI.createEmailDialog();
					if (iPos > 0) {
						dEmailMessage.subject = ' ';
						dEmailMessage.toRecipients = [toRecipient];
						dEmailMessage.messageBody = ' ';
						dEmailMessage.open();   		
					}
					break;
				case 1:
					var contact = Ti.Contacts.createPerson();
					contact.firstName = toRecipient;
					contact.lastName = "";
					contact.email = {'work':[toRecipient]};
					Ti.Contacts.save();
					break;
				case 2:
					//Ti.API.info("Copy Text is " + toRecipient);
					Ti.UI.Clipboard.setText(toRecipient);
					break;
				case 3:
					break;
			}
		});
		dialog.show();
	}
	else if (e.u.search(/tel/ig) >=0) { //clicked on phone number
		//Ti.Platform.openURL(e.u);
		//Ti.Platform.openURL("tel:" + _event.source.text);
		var iPos = urlAddress.indexOf(':');
		var phoneNumber = "";
		if (iPos > 0) {
			phoneNumber = urlAddress.substr(iPos + 1);
		}    	
		var callNumber = "Call " + phoneNumber;
		var dialog = Ti.UI.createOptionDialog({
			options: [ callNumber, "Add to Contacts", "Copy", "Cancel" ],
			cancel: 3
		});
		dialog.addEventListener('click', function(e){
			switch (e.index) {
				case 0:
					Ti.Platform.openURL(urlAddress);
					break;
				case 1:
					var contact = Ti.Contacts.createPerson();
					contact.firstName = "EMC Privacy Policy";
					contact.lastName = "";
					contact.email = {'work':[phoneNumber]};
					Ti.Contacts.save();
					break;
				case 2:
					//TiDebug.log("Copy Text is " + phoneNumber);
					Ti.UI.Clipboard.setText(phoneNumber);
					break;
				case 3:
					break;
				}
		});
		dialog.show();
	} 
};
*/	

	
//
//  add tabs
//
tabGroup.addTab(tab1);  
tabGroup.addTab(tab2);  


// open tab group
tabGroup.open();


