App.UI.UserLicenseAgreement = (function() {
	function webLink(e){
		Ti.API.info("************************************************");
		Ti.API.info("Trying to invoke web link");
		Ti.API.info("************************************************");
		var urlAddress = e.u;
		//TiDebug.log('a url on the webview was clicked : '+ urlAddress);
		if (e.u.search(/http/ig) >= 0) { //clicked on a url
			if (e.u.search(/optout/ig) >= 0) { //opt out dialog window
		    	var lockoutDialog = Ti.UI.createAlertDialog({
		            buttons: ["Cancel", "OK"],
		            cancel: 0,
		    		buttonNames: ['Cancel', 'OK'],
		    		message: 'Tap OK to confirm your Opting Out of EMC Support Analytics',
		    		title: 'Alert'
		        });
		        lockoutDialog.addEventListener("click", function(e){
					switch (e.index) {
						case 0:
							App.write("optOutAnalytics", false);
							return;
						case 1:
							App.write("optOutAnalytics", true);
							//TiDebug.log("optOut = " + App.read("optOutAnalytics", "bool"));
							return;
					}
		        });
		        lockoutDialog.show();
		    }
		    else { //url link
				var dialog = Ti.UI.createOptionDialog({
					title: urlAddress,
					options: [ "Open", "Copy", "Cancel" ],
					cancel: 2
				});
					dialog.addEventListener('click', function(e){
						switch (e.index) {
							case 0:
								//Ti.API.info("URL Link is " + urlAddress);
								Ti.Platform.openURL(urlAddress);
								break;
							case 1:
								//Ti.API.info("Copy Text is " + urlAddress);
								Ti.UI.Clipboard.setText(urlAddress);
								break;
							case 2:
								break;
						}
					});
					dialog.show();
		    	}
		    }
		    else if (e.u.search(/mailto/ig) >= 0) { //clicked on email address
		    		var iPos = urlAddress.indexOf(':');
		    		var toRecipient = "";
		    		if (iPos > 0) {
		    			toRecipient = urlAddress.substr(iPos + 1);
		    		}
		 	      	var dialog = Ti.UI.createOptionDialog({
						options: [ "New Message", "Add to Contacts", "Copy", "Cancel" ],
						cancel: 3
					});
					dialog.addEventListener('click', function(e){
						switch (e.index) {
							case 0:
						    	var dEmailMessage = Titanium.UI.createEmailDialog();
						    	if (iPos > 0) {
						    		dEmailMessage.subject = ' ';
									dEmailMessage.toRecipients = [toRecipient];
									dEmailMessage.messageBody = ' ';
									dEmailMessage.open();   		
						    	}
								break;
							case 1:
								var contact = Ti.Contacts.createPerson();
								contact.firstName = toRecipient;
								contact.lastName = "";
								contact.email = {'work':[toRecipient]};
								Ti.Contacts.save();
								break;
							case 2:
								//Ti.API.info("Copy Text is " + toRecipient);
								Ti.UI.Clipboard.setText(toRecipient);
								break;
							case 3:
								break;
						}
					});
					dialog.show();
		    }
		    else if (e.u.search(/tel/ig) >=0) { //clicked on phone number
		    	//Ti.Platform.openURL(e.u);
		    	//Ti.Platform.openURL("tel:" + _event.source.text);
		    	var iPos = urlAddress.indexOf(':');
		    	var phoneNumber = "";
		    	if (iPos > 0) {
		    		phoneNumber = urlAddress.substr(iPos + 1);
		    	}    	
		    	var callNumber = "Call " + phoneNumber;
		 	    var dialog = Ti.UI.createOptionDialog({
					options: [ callNumber, "Add to Contacts", "Copy", "Cancel" ],
					cancel: 3
				});
				dialog.addEventListener('click', function(e){
					switch (e.index) {
						case 0:
							Ti.Platform.openURL(urlAddress);
							break;
						case 1:
							var contact = Ti.Contacts.createPerson();
							contact.firstName = "EMC Privacy Policy";
							contact.lastName = "";
							contact.email = {'work':[phoneNumber]};
							Ti.Contacts.save();
							break;
						case 2:
							//TiDebug.log("Copy Text is " + phoneNumber);
							Ti.UI.Clipboard.setText(phoneNumber);
							break;
						case 3:
							break;
						}
					});
					dialog.show();
		    } 
		};
		
	return {
		webLink: webLink
	};
})();
